import { Series } from "./Series";
import { Point, Type } from "igniteui-angular-core";
import { Frame } from "./Frame";
import { SeriesView } from "./SeriesView";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { NotifyCollectionChangedEventArgs } from "igniteui-angular-core";
import { Axis } from "./Axis";
import { Brush } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { Tuple$2 } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare abstract class AnnotationLayer extends Series {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    iu(a: SeriesView): void;
    protected l8(a: Series): boolean;
    protected l0: AnnotationLayerView;
    ma: boolean;
    mb: boolean;
    m2: Point;
    l5: boolean;
    protected get_cm(): boolean;
    protected bd(): SeriesHitTestMode;
    protected get_cw(): boolean;
    protected get_isUsableInLegend(): boolean;
    protected iz(a: any, b: string, c: any, d: any): void;
    protected m3: Point;
    private mu;
    private mt;
    private mp;
    private mo;
    protected l6(a: Axis): boolean;
    private mi;
    protected l7(a: Series): boolean;
    private ms;
    protected mk(a: Axis, b: boolean): void;
    protected ml(a: Series, b: boolean): void;
    private mr;
    private mh;
    protected mz(): Brush;
    protected m0(): Brush;
    protected mj(a: NotifyCollectionChangedEventArgs): void;
    protected mm(a: NotifyCollectionChangedEventArgs): void;
    protected l2: Frame;
    protected l1: Frame;
    protected l3: Frame;
    protected jt(a: Rect, b: Rect): void;
    protected js(a: Rect, b: Rect): void;
    je(a: boolean): void;
    protected get_cj(): boolean;
    protected mn(a: Frame, b: SeriesView): void;
    protected mq(a: Frame, b: SeriesView): void;
    protected mg(a: Series): Tuple$2<boolean, Point>;
    protected ip(a: Point): void;
    m1: Point;
    dw(a: Rect, b: Rect, c: SeriesView): boolean;
    protected get_ds(): boolean;
    private l4;
    l9: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AnnotationLayerView extends SeriesView {
    static $t: Type;
    constructor(a: AnnotationLayer);
    protected bu: AnnotationLayer;
    private bv;
    private bw;
    private b0;
    bx(): void;
    bz(): void;
    by(): void;
}
